GCLOUD_COMPUTE_URL-MAPS_CREATE(1)

NAME

gcloud compute url-maps create - create a URL map

SYNOPSIS

gcloud compute url-maps create URL_MAP_NAME (--default-backend-bucket=DEFAULT_BACKEND_BUCKET | --default-service=DEFAULT_SERVICE) [--description=DESCRIPTION] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute url-maps create is used to create URL maps which map HTTP and HTTPS request URLs to backend services and backend buckets. Mappings are done using a longest-match strategy. There are two components to a mapping: a host rule and a path matcher. A host rule maps one or more hosts to a path matcher. A path matcher maps request paths to backend services or backend buckets. For example, a host rule can map the hosts .google.com and google.com to a path matcher called www. The www path matcher in turn can map the path /search/ to the search backend service, the path /static/ to the static backend bucket and everything else to a default backend service or default backend bucket. Host rules and patch matchers can be added to the URL map after the map is created by using gcloud compute url-maps edit or by using gcloud compute url-maps add-path-matcher and gcloud compute url-maps add-host-rule.

POSITIONAL ARGUMENTS

    URL_MAP_NAME
        The name of the URL map to create.

REQUIRED FLAGS
Exactly one of these must be specified:

    --default-backend-bucket=DEFAULT_BACKEND_BUCKET
        A backend bucket that will be used for requests for which this URL map has no mappings. Exactly one of --default-service or --default-backend-bucket is required.

    --default-service=DEFAULT_SERVICE
        A backend service that will be used for requests for which this URL map has no mappings. Exactly one of --default-service or --default-backend-bucket is required.

OPTIONAL FLAGS

    --description=DESCRIPTION
        An optional, textual description for the URL map.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.